Subject: Re: PowerMac7,3 sound (was: PowerBook5,4 -- no sound?)

From: Andreas Schwab <[email-masked]>
Date: Wed, 17 May 2006 21:32:48 +0200

Johannes Berg <[email-masked]> writes:

> Andreas, you'll probably be able to get a bit further by inserting the
> following code in front of the loop in i2sbus-core.c line 162, and
> removing the of_address_to_resource call inside the loop.
>
>   dev->resources[0].start = 0x80010000;
>   dev->resources[0].end   = 0x80010fff;
>   dev->resources[1].start = 0x80008000;
>   dev->resources[1].end   = 0x800080ff;
>   dev->resources[2].start = 0x80008100;
>   dev->resources[2].end   = 0x800081ff;
>
> But I'm not sure that is correct on all machines (in fact, I'm not
> perfectly sure it is correct on your machine).

I have the following sound resources in /proc/iomem:

        80008000-800083ff : 0.00010000:i2s
          80008000-800083ff : Sound DMA
        80010000-80010fff : 0.00010000:i2s
          80010000-80010fff : Sound Control

I'm not sure whether the first mapping should be split, but I don't know
much about how resource mappings work.

> After that, you'll probably still not have usable sound though because I
> know nothing about the layout-id of your machine. If I have support for
> your codec already, that should be easy though.

The layout id is 36, and it has both line out and headphone, detected as a
Snapper.

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."